﻿// Приведенный ниже блок ifdef — это стандартный метод создания макросов, упрощающий процедуру
// экспорта из библиотек DLL. Все файлы данной DLL скомпилированы с использованием символа APLUSBLIB_EXPORTS
// Символ, определенный в командной строке. Этот символ не должен быть определен в каком-либо проекте,
// использующем данную DLL. Благодаря этому любой другой проект, исходные файлы которого включают данный файл, видит
// функции APLUSBLIB_API как импортированные из DLL, тогда как данная DLL видит символы,
// определяемые данным макросом, как экспортированные.
#ifdef APLUSBLIB_EXPORTS
#define APLUSBLIB_API __declspec(dllexport)
#else
#define APLUSBLIB_API __declspec(dllimport)
#endif

extern "C" APLUSBLIB_API int APlusB(int a, int b);